tigase.jaxmpp.core.client

## Class Processor.FeatureNotImplementedResponse

- java.lang.Object
- - tigase.jaxmpp.core.client.AbstractStanzaHandler
  - - tigase.jaxmpp.core.client.Processor.FeatureNotImplementedResponse

- All Implemented Interfaces:
    Runnable
  Enclosing class:
    Processor

      public static class Processor.FeatureNotImplementedResponse
      extends AbstractStanzaHandler

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Logger` | `log`

    - ### Fields inherited from class tigase.jaxmpp.core.client.AbstractStanzaHandler

      `element`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FeatureNotImplementedResponse(Element element, Context context)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `process()`

    - ### Methods inherited from class tigase.jaxmpp.core.client.AbstractStanzaHandler

      `run`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          protected final Logger log

  - ### Constructor Detail

    - #### FeatureNotImplementedResponse

          public FeatureNotImplementedResponse(Element element,
                                               Context context)

  - ### Method Detail

    - #### process

          protected void process()
                          throws XMLException,
                                 XMPPException

      Specified by:
        `process` in class `AbstractStanzaHandler`
      Throws:
        `XMLException`
        `XMPPException`

Copyright © 2006–2020 Tigase. All rights reserved.